package com.zcloud.domain.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.domain.dto.ProjectTaskAddCmd;
import com.zcloud.domain.dto.ProjectTaskPageQry;
import com.zcloud.domain.dto.ProjectTaskUpdateCmd;
import com.zcloud.domain.dto.clientobject.ProjectTaskCO;
import com.zcloud.domain.dto.clientobject.ProjectTaskDetailsCO;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2026-01-27 11:29:58
 */
public interface ProjectTaskServiceI {
    PageResponse<ProjectTaskCO> listPage(ProjectTaskPageQry qry);

    SingleResponse<ProjectTaskCO> add(ProjectTaskAddCmd cmd);

    void edit(ProjectTaskUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    ProjectTaskDetailsCO getInfoById(Long id);

    void updatExecuteStatusJob();
}

